package com.fos.modules.orderView.entity;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.annotation.JSONField;
import com.fos.core.base.BaseEntity;
import com.fos.core.base.PageEntity;

public class TableEntity extends BaseEntity{

	@JSONField(name="tableNum")    //桌号
	private int tableNum;      
	
	@JSONField(name="startTime")     //用户订单创建时间
	private long startTime;  
	
	@JSONField(name="endTime")  //用户用餐完结时间
	private long endTime; 
	
	@JSONField(name="status")
	private int status;			//用户登录状态
	
	@JSONField(name="userOrders")   //用户桌号
	private List<NameEntity> userOrders;
	
	private PageEntity<TableEntity> page;     //分页

	
	public int getStatus() {
		return status;
	}
	public PageEntity<TableEntity> getPage() {
		return page;
	}
	public void setPage(PageEntity<TableEntity> page) {
		this.page = page;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getTableNum() {
		return tableNum;
	}
	public void setTableNum(int tableNum) {
		this.tableNum = tableNum;
	}
	public List<NameEntity> getUserOrders() {
		return userOrders;
	}
	public void setUserOrders(List<NameEntity> userOrders) {
		this.userOrders = userOrders;
	}
	public long getStartTime() {
		return startTime;
	}
	public void setStartTime(long startTime) {
		this.startTime = startTime;
	}
	public long getEndTime() {
		return endTime;
	}
	public void setEndTime(long endTime) {
		this.endTime = endTime;
	}


	
}
